# eric6.E5Network.__init__

Package implementing some special network related objects and functions.

### Global Attributes

None

### Classes

None

### Functions

isValidAddress | Public function to check, if the given address is valid.
isValidIPv4Address | Public function to check, if the given address is a valid IPv4 address.
isValidIPv6Address | Public function to check, if the given address is a valid IPv6 address.

## isValidAddress

isValidAddress(address)

Public function to check, if the given address is valid.

address (str)
  IPv4 or IPv6 address string

Returns:
  flag indicating validity

Return Type:
  bool

Up

## isValidIPv4Address

isValidIPv4Address(address)

Public function to check, if the given address is a valid IPv4 address.

address (str)
  IPv4 address string

Returns:
  flag indicating validity

Return Type:
  bool

Up

## isValidIPv6Address

isValidIPv6Address(address)

Public function to check, if the given address is a valid IPv6 address.

address (str)
  IPv6 address string

Returns:
  flag indicating validity

Return Type:
  bool

Up